# Copyright (C) 2018-2022 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import path

from sheets.views import FoodCreateView, FoodUpdateView, MealCreateView, MealUpdateView, \
    SheetCreateView, SheetDetailView, SheetListView, SheetUpdateView

app_name = 'sheets'

urlpatterns = [
    path('list/', SheetListView.as_view(), name="sheet_list"),
    path('create/', SheetCreateView.as_view(), name="sheet_create"),
    path('update/<int:pk>/', SheetUpdateView.as_view(), name="sheet_update"),
    path('detail/<int:pk>/', SheetDetailView.as_view(), name="sheet_detail"),
    path('food/create/<int:pk>/', FoodCreateView.as_view(), name="food_create"),
    path('food/<int:pk>/update/', FoodUpdateView.as_view(), name="food_update"),
    path('meal/create/<int:pk>/', MealCreateView.as_view(), name="meal_create"),
    path('meal/<int:pk>/update/', MealUpdateView.as_view(), name="meal_update"),
]
